set -eux

for i in texture/*.png; do
    j=$(echo $i | cut -d. -f1).data
    python ~/model_generator/color_convert.py $i rgb565 twiddled non_mipmapped $j
    make ${j}.h
done

rm -f texture/walking/*128.png
for i in texture/walking/*.png; do
    j=$(echo $i | cut -d. -f1)
    python ~/physics_engine/tools/canvas_size.py $i 128 32 ${j}_128.png
    python ~/model_generator/color_convert.py ${j}_128.png argb4444 twiddled non_mipmapped ${j}_128.data
    make ${j}_128.data.h
done
